### Function

# Gio SettingsSchemaSource get_default

since: 2.32

#### Declaration

    GSettingsSchemaSource*
    g_settings_schema_source_get_default (
      void
    )

#### Description

Gets the default system schema source.

This function is not required for normal uses of `GSettings` but it may be useful to authors of plugin management systems or to those who want to introspect the content of schemas.

If no schemas are installed, `NULL` will be returned.

The returned source may actually consist of multiple schema sources from different directories, depending on which directories were given in `XDG_DATA_DIRS` and `GSETTINGS_SCHEMA_DIR`. For this reason, all lookups performed against the default source should probably be done recursively.

Available since: 2.32

#### Return value

Type: `GSettingsSchemaSource`

The default schema source.

The data is owned by the called function.
The return value can be `NULL`.